#include <SPI.h>
#include <RF24.h>

 // CE, CSN
RF24 radio(9, 10);
int packetID = 0;

const byte addresses[][6] ={ "server", "client" };

void setup() {
  Serial.begin(9600);
  radio.begin();
  radio.openReadingPipe(1, addresses[1]);
  radio.openWritingPipe(addresses[0]);
  radio.setPALevel(RF24_PA_MIN);  
}

void loop() {
  packetID++; delay(10);
  radio.startListening();
  
  if (radio.available()){ 
    char received[32] = "";
    radio.read(&received, sizeof(received));
    Serial.println(received);
  }
  
  delay(5);
  
  radio.stopListening();
  char toSend[32]; 
  sprintf(toSend,"Receiver ACK: %d",packetID) ;
  radio.write(&toSend, sizeof(toSend));  
  delay(500);
}
